Bug 142974 - Caps lock not being handled
Summary: Caps lock not being handled
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-15 15:35 UTC by Aaron Gaudio
Modified: 2013-03-06 03:42 UTC (History)
2 users (show)

Fixed In Version: 2.10.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 17:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 157685 None None None Never

Description Aaron Gaudio 2004-12-15 15:35:56 UTC
Description of problem:
I have a VNC session going through an ssh connection to a vino server.
I turn caps-lock on but all the characters are still lowercase when
typing. Using shift works. 

I tested this by running vncserver instead and accessing that via a
ssh connect. Caps-lock works fine in this case, leading me to believe
this is a problem with vino, not vncviwer.

Version-Release number of selected component (if applicable):
vino-2.8.1-1

How reproducible:
Always

Steps to Reproduce:
1. Connect to a vino server via ssh (not sure if the ssh is necessary,
but that's the only way for me to connect)
2. Turn on caps-lock.
3. Type some keys in a terminal or text editor.
  
Actual results:
The characters typed come out in lowercase.

Expected results:
The characters are uppercase.

Additional info:

Comment 1 Mark McLoughlin 2005-05-20 17:05:56 UTC
Should be fixed in rawhide:

* Fri May 20 2005 Mark McLoughlin <markmc@redhat.com> 2.10.0-4
- Fix various keyboarding handling issues:
   + bug #142974: caps lock not working
   + bug #140515: shift not working with some keys
   + bug #134451: over-eager key repeating



Note You need to log in before you can comment on or make changes to this bug.